{% extends 'hkm/base_browse.html' %}
{% load i18n hkm_tags %}

{% block banner %}

{% endblock %}

{% block content %}

  <div class="fullsize-container">

    
    {% if order and record %}

      
      <div class="record-meta__col record-meta__col--left col-md-5">
        <h1 class="order-preview__title">{% trans 'Kuvan tilaaminen' %}</h1>
        <h2 class="order-meta__title-small">{{ record.title }}</h2>
        {% if not user.profile.is_museum %}
          <div class="order-steps-banner">
              {% include 'hkm/views/order_steps_menu.html' %}
          </div>
        {% endif %}
        <p class="order-meta__paragraph">{% trans 'Valitse alta haluamasi painotuotetyyppi ja tilattavien tuotteiden lukumäärä.' %} {% trans 'Rajaa kuva haluamasi suuruiseksi muuttamalla kuvan päällä oleva kehikon kokoa.' %}</p>
        <p class="order-meta__paragraph">{% trans 'Huomaathan, että rajaamalla kuvan kokoa laatu voi kärsiä.' %} {% trans 'Palvelu ilmoittaa, mikäli kuvanlaatu on alle suositellun rajan.' %}</p>
        <form method="POST">
          {% csrf_token %}
          <label for="product" class="control-label">{% trans 'Tuotetyyppi' %} *</label>
          <div class="row order-options">
          {% for product in product_types %}
            <div class="well well-sm col-xs-6 col-sm-4">
            <input type="radio" class="ordertype" name="product" {% if forloop.first and not order.product_type %} checked {% elif product.id == order.product_type_id %} checked {% endif %} value="{{ product.id }}" data-price="{{ product.price }}" data-xsize="{{ product.width }}" data-ysize="{{ product.height }}"> <span class="order-product__name">{% trans product.get_name_display %} ({{product.price}}€)</span>
            </div>
          {% endfor %}
          </div>
          {% include 'hkm/snippets/form_fields.html' with form=order_product_form %}
          
          <input type="hidden" name="crop_x" value="{{ order.crop_x }}" />
          <input type="hidden" name="crop_y" value="{{ order.crop_y }}" />
          <input type="hidden" name="crop_width" value="{{ order.crop_width }}" />
          <input type="hidden" name="crop_height" value="{{ order.crop_height }}" />
          <input type="hidden" name="original_width" value="{{ order.original_width }}" />
          <input type="hidden" name="original_height" value="{{ order.original_height }}" />

          <input type="hidden" name="action" value="order-product" />
          <div class="alert alert-success" id="ppi-box" role="alert">{% trans 'Valmiin tulosteen laatu:' %} <span data-full-x="{{ order.fullimg_original_width}}" data-full-y="{{ order.fullimg_original_height}}" id="ppi-indicator" data-language={{language}}>x</span></div>
          <p> {% trans 'Hinta yht.' %} <span id="price-indicator">
          {% if order.total_price %}
            {{ order.total_price }}
          {% else %}
            {% for product in product_types %}
              {% if forloop.first %}
                {{ product.price }}
              {% endif %}
            {% endfor %}
          {% endif %}
          </span> € {% if not user.profile.is_museum %}+ {% trans 'Shipping fees' %} {{ order.postal_fees }} €{% endif %} {% trans 'Incl. VAT' %}</p>

            <button class="hkm-btn hkm-btn--default btn btn-primary" value="add-to-basket" type="submit">{% trans 'Add to cart' %}</button>
        </form>
      </div>

      <div class="record-meta__col record-meta__col--right col-md-7">
        <div><img id="order-preview__image" data-img-url="{% finna_image order.record_finna_id %}" src="{% finna_image order.record_finna_id %}"></img></div>
      </div>
     
  </div>

    {% else %}

      {% include 'hkm/snippets/not_responding.html' %}

    {% endif %}

  </div>

{% endblock %}
